CISCO VPN CLIENT

Web、Mail、Ftp、DNS、Proxy、VPN、Samba、LDAP 等基础网络服务
回复
freebug
帖子: 4
注册时间: 2007-08-11 8:34
送出感谢: 0
接收感谢: 0

CISCO VPN CLIENT

#1

帖子 freebug » 2007-08-11 8:43

大家有没有在64位ubuntu上通过cisco vpn client上无线网的?
我在cisco下载了vpn client for linux可是run vpn_install的时候make file出错,在cisco的帮助文档里看了半天,也不知道这个vpn client可以在64位系统里使用。
各位高手,有解决的办法吗?
pferd
帖子: 30
注册时间: 2007-05-15 6:22
送出感谢: 0
接收感谢: 0

#2

帖子 pferd » 2007-08-12 7:59

头像
iridiumcao
帖子: 245
注册时间: 2007-01-18 18:05
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 iridiumcao » 2007-08-13 0:05

他使用的补丁对应的内核是2.6.19
而我的是2.6.20

不知道会不会有问题,请问2.6.20对应的补丁呢?
Dell Inspiron 1501
Xubuntu&Lubuntu 11.10

Ade, Gnome3, Ade, Unity!

随心所欲不逾矩
头像
iridiumcao
帖子: 245
注册时间: 2007-01-18 18:05
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 iridiumcao » 2007-08-13 0:23

我在这里
http://tuxx-home.at/archives/2007/04/10/T15_55_43/
下载到2.6.20版的对应的补丁。
但还是失败了。看了相应的说明,作者仅在32元系统测试成功。
Dell Inspiron 1501
Xubuntu&Lubuntu 11.10

Ade, Gnome3, Ade, Unity!

随心所欲不逾矩
freebug
帖子: 4
注册时间: 2007-08-11 8:34
送出感谢: 0
接收感谢: 0

#5

帖子 freebug » 2007-08-13 9:24

我也试了,还是不行.不过还是多谢楼上朋友的解决办法,

无奈需要用vnp的时候,暂时还是转到windows下了.

:(
头像
iridiumcao
帖子: 245
注册时间: 2007-01-18 18:05
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 iridiumcao » 2007-08-13 10:10

在32位和64位机器上都可以用的。

安装后可能出现一个错误:
privsep: unable to drop privileges: group set failed.
The application was unable to communicate with the VPN sub-system.

需要执行这条命令:
chmod 4111 /opt/cisco-vpnclient/bin/cvpnd

(参考:http://forums.fedoraforum.org/forum/sho ... p?t=163083

关于这个软件的使用,不妨参考:
http://www.cdg.chalmers.se/VPN/Linux.en.html
上次由 iridiumcao 在 2007-08-15 7:54,总共编辑 1 次。
Dell Inspiron 1501
Xubuntu&Lubuntu 11.10

Ade, Gnome3, Ade, Unity!

随心所欲不逾矩
freebug
帖子: 4
注册时间: 2007-08-11 8:34
送出感谢: 0
接收感谢: 0

#7

帖子 freebug » 2007-08-15 7:34

楼上朋友的email我收到了,非常感谢,加我msn或QQ吧,有问题我们可以一起讨论。
头像
iridiumcao
帖子: 245
注册时间: 2007-01-18 18:05
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 iridiumcao » 2007-08-16 21:46

我已经就这个问题新开一帖,请查看:
viewtopic.php?t=70132
Dell Inspiron 1501
Xubuntu&Lubuntu 11.10

Ade, Gnome3, Ade, Unity!

随心所欲不逾矩
aloha
帖子: 375
注册时间: 2006-10-11 20:41
送出感谢: 0
接收感谢: 0

#9

帖子 aloha » 2007-08-17 20:34

我用vpnc没有问题,直接新立德来就用。
回复

回到 “服务器基础应用”